# Package-level declarations

## Types

StateHandlingErrorHandler
Link copied to clipboard
typealias StateHandlingErrorHandler < T > = suspend ( T , Throwable ) -> T ?

A handler function type for dealing with errors during state handling in a finite state machine. The handler receives the state that caused the error and the thrown exception, and can optionally return a new state to continue the chain, or null to end the chain.

## Properties

DefaultStateHandlingErrorHandler
Link copied to clipboard
val DefaultStateHandlingErrorHandler : StateHandlingErrorHandler <*>

The default error handler that returns null for all errors, effectively ending the state chain.

## Functions

defaultStateHandlingErrorHandler
Link copied to clipboard
inline fun < T > defaultStateHandlingErrorHandler (): StateHandlingErrorHandler < T >

Returns a typed version of the DefaultStateHandlingErrorHandler.